diff -r 33a5521fed87 src/common/connection.py
--- a/src/common/connection.py	Sat Feb 28 22:30:39 2015 +0100
+++ b/src/common/connection.py	Fri Jun 26 10:26:23 2015 -0400
@@ -313,9 +313,10 @@
                 error = _('The contact\'s key (%s) does not match the key assigned '
                         'in Gajim.' % keyID[:8])
             else:
+                myKeyID = gajim.config.get_per('accounts', self.name, 'keyid')
                 def encrypt_thread(msg, keyID, always_trust=False):
                     # encrypt message. This function returns (msgenc, error)
-                    return self.gpg.encrypt(msg.encode('utf-8'), [keyID],
+                    return self.gpg.encrypt(msg.encode('utf-8'), [keyID, myKeyID],
                         always_trust)
                 def _on_encrypted(output):
                     msgenc, error = output
@@ -424,8 +425,6 @@
 
         if msgenc:
             msg_iq.setTag(nbxmpp.NS_ENCRYPTED + ' x').setData(msgenc)
-            if self.carbons_enabled:
-                msg_iq.addChild(name='private', namespace=nbxmpp.NS_CARBONS)
             msg_iq.addChild(name='no-permanent-storage',
                 namespace=nbxmpp.NS_MSG_HINTS)
 
